com.genesyslab.wfm8.API.service.schedule800

## Class SchScenarioWarning

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchScenarioWarning

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioWarning
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Warning
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected boolean` | `wmChecked`
    `protected int` | `wmSiteId`
    `protected java.lang.String` | `wmWarning`
    `protected int` | `wmWarningNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioWarning()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `java.lang.String` | `getWmWarning()` Gets the value of the wmWarning property.
    `int` | `getWmWarningNumber()` Gets the value of the wmWarningNumber property.
    `int` | `hashCode()`
    `boolean` | `isWmChecked()` Gets the value of the wmChecked property.
    `void` | `setWmChecked(boolean value)` Sets the value of the wmChecked property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmWarning(java.lang.String value)` Sets the value of the wmWarning property.
    `void` | `setWmWarningNumber(int value)` Sets the value of the wmWarningNumber property.
    `java.lang.String` | `toString()`
    `SchScenarioWarning` | `withWmChecked(boolean value)`
    `SchScenarioWarning` | `withWmSiteId(int value)`
    `SchScenarioWarning` | `withWmWarning(java.lang.String value)`
    `SchScenarioWarning` | `withWmWarningNumber(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### wmWarningNumber

          protected int wmWarningNumber

    - #### wmWarning

          protected java.lang.String wmWarning

    - #### wmChecked

          protected boolean wmChecked

  - ### Constructor Detail

    - #### SchScenarioWarning

          public SchScenarioWarning()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmWarningNumber

          public int getWmWarningNumber()

      Gets the value of the wmWarningNumber property.

    - #### setWmWarningNumber

          public void setWmWarningNumber(int value)

      Sets the value of the wmWarningNumber property.

    - #### getWmWarning

          public java.lang.String getWmWarning()

      Gets the value of the wmWarning property.
      Returns:
        possible object is `String`

    - #### setWmWarning

          public void setWmWarning(java.lang.String value)

      Sets the value of the wmWarning property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmChecked

          public boolean isWmChecked()

      Gets the value of the wmChecked property.

    - #### setWmChecked

          public void setWmChecked(boolean value)

      Sets the value of the wmChecked property.

    - #### withWmSiteId

          public SchScenarioWarning withWmSiteId(int value)

    - #### withWmWarningNumber

          public SchScenarioWarning withWmWarningNumber(int value)

    - #### withWmWarning

          public SchScenarioWarning withWmWarning(java.lang.String value)

    - #### withWmChecked

          public SchScenarioWarning withWmChecked(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.